Subject: bug#62343: libtool removes the "-no-canonical-prefixes" linker flag

From: Carlos Galvez <[email-masked]>
Date: Tue, 21 Mar 2023 15:29:59 +0100

Hi!

I'm using libtool 2.4.6. I realize that it's removing a very important
linker flag, making my linking fail.

The command I send is:

../../libtool  --tag=CC   --mode=link /path/to/gcc -no-canonical-prefixes
<other_flags> <object_files>...

And what libtool prints is:

libtool: link: /path/to/gcc -shared <other_flags> <object_files> ...

Why is the "-no-canonical-prefixes" flag removed from the linking command?
If I manually execute linking outside libtool, and add the required flag,
linking works successfully.

Thanks!